DataMan 8050 : Questions and Answers


Welcome Screen


Welcome

In order to quickly set up your device, it is recommended to go through the Application Steps represented by large buttons on the left-hand side. Each section has a tab with Basic or Advanced configuration options. The Save Settings action button saves the configuration data in the reader and saves a backup on your pc with a single click. The questions below describe the configuration options in each Application Step that are not self-explanatory.


What can I set under Application Type?

Clicking the arrow on the right allows you to select the appropriate reading modes from the drop-down menu.


What can I do in the Optimize Image step?

You can perform the process of configuration, tuning and testing of your connected device here, and you can set your illumination settings for the device.


What can I select under Code Details?

Here, you can select the symbologies the DataMan has to read, as well as different multi-code scenarios. The advanced decoder settings can also be done under this menu.


What can I set in the Application Details step?

Trigger and exposure settings can be defined here. For ease of use, a Trigger Assistant, an Interval Assistant an Exposure Assistant help you with these settings.

On the Advanced tab, further settings can be implemented in table view.


What can I configure under Format Data?

To construct the desired data output from the device, you can use Basic Formatting or Perl Style regular expressions to build a customized output string using pre-defined building blocks, or use the JavaScript engine to build a flexible data formatting script.


What can I set in the Inputs/Outputs step?

The behaviour of the buttons, input and output lines can be set in this pane. The details for a pulse encoder and the beeper pulse length can also be set here. This pane also has the link to the image buffer settings to FTP images to a server.


What can I set in the Communications application step?

On the three tabs of the Communications application step, serial and Ethernet settings can be implemented. Click the appropriate tab to enter your setting values.


What does Save Settings do?

Save Settings is an action rather than a step, but important to fulfil. This action will save the current configuration in the persistent memory of the reader, so the same settings will be loaded after reboot. The DataMan Setup Tool will also store a backup file locally on the current PC in the default backup folder.


What is Configuration Backup file?

The Configuration Backup file contains all parameters and configuration of the device. Can be used to restore settings to a known state or configure new devices by selecting either configuration parameters with backup properties, or without.


Connect to Reader


How do I connect my reader to Setup Tool?

Regardless of which reader you are using, follow these steps to connect your DataMan reader to the Setup Tool:

  1. Print a copy of the Reader Configuration Codes document for your particular reader, available through the Windows Start menu or the Setup Tool Help menu.

  2. Connect the necessary cabling between your reader and the PC running the Setup Tool. Refer to your Quick Reference hardcopy documentation for details.

  3. Click Refresh in the Setup Tool.

  4. Select the COM port or Network device showing a connection to your reader.

  5. Click Connect.


Why does the Setup Tool fail to connect to my reader?

If you cannot connect, verify the following:

  • Click Refresh to determine which ports have readers connected to them. Clicking Refresh sends a query string on all COM ports and across the Ethernet network subnet. A DataMan 8000 wireless reader must be awake to respond to the query. Squeeze the trigger to wake up the reader.

  • Make sure that you are not using the keyboard, keyboard wedge, or HID connection: you must use USB Serial, RS-232 Serial, Ethernet or Wireless network to connect the Setup Tool to the reader.

  • Serial Connection
    • Make sure that you have scanned the configuration code (USB COM or RS-232 Serial) that matches the type of physical connection you are using (not applicable to Ethernet-only readers).
    • Make sure that the COM ports list shows a port where your reader is connected.
    • You can use a terminal emulation program such as PuTTY to determine whether the reader is sending any data if the reader is connected to a COM port on the PC.
  • Ethernet Connection
    • Make sure that the firewall or antivirus application installed on your computer makes communication with Ethernet devices possible by allowing the appropriate ports (Cognamer:1069 and Setup Tool:44444).
    • Verify that your device appears in the list of Network devices.
    • Make sure that the IP address you provided in the Add Network Device option is correct.
  • Wireless Connection
    • Make sure that the reader is not in sleep mode (squeeze the trigger to wake it up).
    • Make sure that a connection is established between your reader and the base station connected to your PC. Unplug both the power and communication cables from the base station, reconnect the cables, then replace the handset in the base station. Wait until the handset indicates that it is linked (with an audible signal) before attempting to connect again.
    • Make sure the base station is connected to power.


Why do I see an overlay icon in the upper right corner of my device icon?

The arrow icon indicates that it is a manually added device. The 'V' icon indicates that the device is a virtual device.


What are virtual devices?

The 'V' overlay icon in the top right corner of the device icon indicates that the device is a virtual device. Virtual devices can be created under Repair and Support either from a custom configuration file or a device with default configuration. Virtual Devices can be used to look at different panes in Setup Tool without the need of an actual device to connect to.

The created virtual device is not visible for other devices on the network. The virtual device persists through multiple Setup Tool instances.

The created virtual device can be connected to the same way as a regular device, except that all configuration changes are rejected (everything is read-only) and no features, functions, and actions work on virtual devices.


What port do I use for a USB Connection?

If you connect the reader or base station using the USB port, make sure to scan the USB-COM/RS-232 configuration code from the Reader Configuration Codes document. Then click Refresh and select the port that is identified as connected to the reader.

Note: Clicking Refresh sends a query string on all COM ports and across the Ethernet network subnet. A DM7550 and a DM8000 wireless reader must be awake in order to respond to the query. Squeeze the trigger to wake up the reader.


I still cannot connect to my reader or my base station: Can I reset it?

For the DataMan 8000 base station:

With the wireless reader associated with your base station, scan the Reset Base Station to Factory Defaults command (for the DM8000Base) to return the base station to its factory-default state.

For DataMan 503 and 8000 series readers:

Scan the Reboot Scanner command printed on the back of the Quick Reference Guide to perform a soft reset. The reader's nonvolatile memory is not cleared, but the reader is shut down and restarted.

If that fails, scan the Reset Scanner to Factory Defaults command to return the reader to its factory-default state.

If that fails, and you're using a corded reader, disconnect the reader from power (this procedure cannot be used on the DataMan 9500). While holding down the trigger button, reconnect the reader to power. Keep pressing the trigger button for at least 6 seconds, until the double beep occurs. The reader will flash its indicator lights in different colors.

If that fails, and you're using a DataMan 8000 wireless reader, remove the battery from the reader and place it on the base station. While holding down the trigger button, reconnect the reader to power. Keep pressing the trigger button for at least 6 seconds, until the double beep occurs. The reader will flash its indicator lights in different colors.

For DataMan 50, 60, and 70 readers:

Print a copy of the Configuration Codes document for your particular reader, available through the Windows Start menu or the Setup Tool Help menu.

Scan the Reboot Scanner code to perform a soft reset. The reader's nonvolatile memory is not cleared, but the reader is shut down and restarted.

If you still cannot connect to the reader, scan the Reset Scanner to Factory Defaults code to return the reader to its factory-default state.

If that fails to clear the issue, disconnect the reader from power (both DC power and USB, if connected). While holding down the trigger button, reconnect the reader to power. Keep pressing the trigger button for at least 6 seconds, until the double beep occurs. The reader will flash its indicator lights in different colors.


How do I know which device is mine?

For DataMan 260, 300, 473, 503, and 8000 readers:

In the tree where devices are listed under Connect to Reader, right-click a reader and select Identify. The status indicator on the reader gives a signal, allowing you to identify it.


Why are some devices shown in green?

Newly discovered devices show up in green for a few seconds to make you aware of the fact that a new device was added to the tree view.


Why can't I compare a serial device that is opened in a document?

Serial devices can maintain only one connection at a time. When you connect to a serial device, the Process Monitor and Compare Configurations buttons are unavailable. Also, if you open the Compare Configurations document for a serial device, you cannot connect to the device as long as Compare Configurations document is open.


DataMan 50, 60, 70, 300, 370, 470, 503, 8000 series, MX-1000, MX-1500, and DataMan 8000 base station: Why does the Setup Tool ask for a password when I want to connect?

The reader and the base station can be configured to request a password before connecting to the Setup Tool. The password is enabled on the Authentication tab in the Network Settings option of the Communication Settings pane. Be aware that the password is used for serial connection as well.


DataMan 60, 300, 370, 470, DM475V, 503, 8000 series and DataMan 8000 base station: Can I connect the reader to my PC directly using Ethernet?

The reader or the base station can be connected directly to an Ethernet connector (RJ-45) on your PC. If your device is configured for DHCP, it will appear in the Network devices list after roughly 20 seconds. Be aware, however, that your PC might require an additional minute for its IP address to be resolved. Until this finishes you cannot connect to your device through the Setup Tool.

If your device has been set to a static IP address, it will appear only if the device and the PC share the same subnet.


DataMan 60, 300, 370, 470, 503, 8000 series, MX-1000 and DataMan 8000 base station: How do I map a listing in the Network Devices list to a specific reader?

By default, each DataMan appears in Network devices with a DM prefix and the last six characters in its MAC address, which is printed on the device.


DataMan 60, 300, 370, 470, DM475V, 503, 8000 series, MX-1000, MX-1500, and DataMan 8000 base station: What if my reader or base station does not appear in the list of Network Devices?

If the desired reader or base station is not listed, you can add it by cycling its power. It may take up to 60 seconds for the device to appear in the list after power is applied.

If cycling the power fails to resolve the problem, the Setup Tool may not be able to communicate with your device due to the network configuration, and it will not appear in the list of Network devices.

Check your Ethernet connection with the reader or base station and click Refresh in the Setup Tool.

If you know the IP address of the reader or the base station, use the Add Device option.

This method allows the DataMan reader or base station to appear in the list of Network devices so that you can connect to it through the Setup Tool and your Ethernet connection.


DataMan 8000 wireless reader: How can I associate a wireless reader with a different base station?

If the base station with which you wish to associate your wireless reader is already associated with another reader, you must break that connection by scanning the Unassign Reader from Base Station code. To assign the reader to a new base station, simply place the new reader in the base station. They become automatically paired.


DataMan 8000 base station: How can I reset the USB connection to the base station?

If you have difficulty establishing or maintaining a USB connection between a base station and your PC, follow these steps to reset the USB connection:

  1. Disconnect both the USB cable and the power cable from the base station.

  2. Reconnect both the USB cable and the power cable to the base station.

  3. Place the reader in the base station.

  4. Remove the reader from the base station and scan the USB-COM/RS_232 configuration code.


How does the Compare Configuration button work?

The Compare Configuration button initiates the configuration comparison function of Setup Tool, a table view style tool used to set, copy, compare, or restore device configurations. The function opens in a new document page.

If no devices are selected from the device list before pressing the button, an empty document is opened. If one or more devices are selected, the comparison document is populated with the settings of those devices.


What is the RTM Lean device that shows up under Network?

Real Time Monitoring (RTM) Lean is a feature built into DataMan Setup Tool that allows for the collection and analysis of different kinds of data related to devices on the network and their readings. You can connect to RTM Lean as you would to a device, then proceed to set up data collection in a newly opened document. RTM Lean only collects data actively when running and you are connected to it.

During the initial setup, you are asked to choose the device that RTM Lean is going to monitor, and then what kind of data (outside of the default) it is going to collect. This can be redefined under Configuration on the ribbon menu. By default, RTM Lean collects statistical data (Read Rate, trigger count, trigger overrun, buffer overflow, and process control metrics, if enabled on the device).

NOTE: RTM Lean can acquire data from a single device at a time and keep data for 48 hours.


Optimize Image


What can I do in the Optimize Image step?

You can perform the process of configuration, tuning and testing of your connected device here.

To quickly setup your device, it is recommended to go through the Application Steps represented by large buttons in the middle where you can select from Basic or Advanced configuration options. With the Save Settings action button you can save all your configuration data in a simple way.


How do I save an acquired image to a file?

Click the Save Image button in the toolbar of the Image Panel or the Image Viewer.

You can also drag and drop your image to your PC. Click the image in the Image Display window, drag it outside the Setup Tool and release it.

NOTE: In case you want to save an image with drag and drop, and the image is not the latest one (you are saving it from the Read Result History), the image will be saved with the displayed image settings. By default, it is of reduced quality. Under Displayed Image Settings, you can change the image size to full and the format to Bitmap.


How can I use the Live button?

On the Basic tab, click the Live button to enter Live mode. Live mode not only monitors what the device reads, but decodes as well. Clicking the rightmost side of the button opens further options.

Check Decoding if you want the device to decode taken images. When checked, Focus feedback displays a color-coded meter on the right side of the image view. The meter indicates the focus of the lens (lower is less focused).

Check Automatic Exposure option to have the reader automatically determine the best exposure settings in the image. The slider (below the image view area) indicates the target's pixel brightness.

On the Advanced tab, a table view of the image settings can be seen.


What do I use the Read Performance pane for?

With the graphs under the Read Performance pane on the right, you can monitor decode times and read rates in real time. Click the Clear button to reset the graph.


What trigger settings can I change?

You can set the Trigger Type to either Manual (button) or Presentation (internal). For further trigger settings, go to the Advanced tab of Optimize Image pane, and select the Trigger Settings tab.

Note that while in Presentation mode, as the operator pulls the trigger, the reader switches to Manual mode until the device is re-docked into the base station.

See Application Details Q and A for more information.


How can I change the Exposure value for the DataMan 8050?

This setting is enabled when you use Manual Exposure (which you can switch to on on the Basic tab of Application Details pane).


What are Displayed Image Settings?

Displayed Image Settings control how the reader displays the images it acquires in response to acquisition triggers as well as the live images taken from any reader. Changing these settings does not affect the performance of the reader, and only affects the image quality and transfer rate between the reader and Setup Tool.

NOTE: Some image related properties (eg. image size, filtering) cannot be altered when the device is acquiring or decoding images.

NOTE: Displayed Image Settings have no effect when saving the last image taken from the Image Pane (by dragging and dropping). The last image is always saved full size (the device's resolution maximum).

  • size: By default, Setup Tool displays a quarter of all pixels of each acquired image, or a fraction of each image during a live display. Choosing between image sizes allows the reader to perform a sub-sampling of each image, which can dramatically improve the image transfer speed from the reader to the Setup Tool at the cost of some precise image details.

  • quality: Available only if you are using the .jpeg image format, this slider adjusts internal parameters that allow the reader to perform a smoothing operation on the acquired image which can reduce or enhance the transfer speed from the reader to Setup Tool.


What can I change with the Internal Intensity slider?

You can set the brightness intensity of the DM8050, DM8070's illumination LEDs.


How do I specify a region of interest within each acquired image?

Change your settings in the Image Size (Region of Interest) pane.


What is Live Display?

If you enable Live Display Enabled (by clicking on the Live Display icon on the topmost task bar or in the Action tab), the image display continuously displays what the reader sees. You can use this mode to verify what the reader is seeing without attempting to decode symbols.

To change the size and quality of the image that is displayed live, go to the Displayed Image Settings pane.

NOTE: This option is not available on DM262 and DM362.


How can I increase the image transfer speed?

If the Transfer and display image checkbox is checked, the Setup Tool transfers the image acquired for each decoding operation. If a new trigger is received while the current image is being transferred, the reader will discard the partially transferred image and start transferring the new image.

Image transfer speed depends on the amount of image compression performed by the reader. You can control the image compression value by selecting the Displayed Image Settings option. Lowering the image size or lowering the image quality will increase the transfer rate.


I checked 'Transfer and Display Images'. Why don't I see an image?

If you interrupt the image transfer by clicking the trigger, then no image is transferred. Also, older images in the Read History grid may not include images.

Note: If the Output Delay is shorter than the reader needs to acquire an image and decode for any results, Setup Tool may not receive result images from the reader.


Code Details


How do I quickly disable all symbologies?

Click Disable All Symbologies in the top part of the Basic tab in the Code Details application step, or press Ctrl+D.


How do I adjust advanced symbology settings?

Click on the Advanced tab under Code Details to specify further settings.


Does the reader auto-discriminate different symbology types?

The reader automatically detects, identifies, and decodes symbols encoded using any of the symbologies enabled in Setup Tool.


Does reader performance improve by limiting the number of enabled symbologies?

For best performance, only enable those symbology types that you expect to encounter.


What are the different settings for EAN.UCC Composite Properties?

  • Standard (linear and 2D): Consists of a linear component (encoding the item's primary identification) associated with an adjacent 2D Composite Component (encoding supplementary data, such as a batch number or expiration date)

  • Linear-only: Consists of only the linear component encoding the item's primary identification.


What is CC-C?

CC-C is one of three EAN.UCC 2D Composite Components, specifically a PDF417 symbol with a codeword of 920 in the first data codeword position as a linkage flag, and denoting EAN.UCC data compaction.


1D Symbology Properties: What is target decoding?

Target decoding simulates the behavior of a laser barcode scanner. Instead of looking at the entire field of view, however, the reader attempts to decode 1D barcodes that lie only under the laser aiming dot. This prevents the operator from accidentally reading other nearby 1D barcodes.


1D Symbology Properties: What is the Short Quiet Zone option?

By default, the Short Quiet Zone option is enabled to allow some search leniency regarding the quiet zone of the following 1-D symbols: Code 128, Code 39, and Code 93.


1D Symbology Properties: What should I set for Minimum Decodes Before Output?

Set a high number to increase decoding robustness. Set a low number if your priority is performance speed.


Benefit of specifying a code size

Specifying an explicit code size can improve the ability of the reader to reliably decode symbols. Select Any if you are reading different code sizes.


Code 39 Properties

  • Full ASCII enables Code 39 Extended codes.

  • Check character only decodes symbols with a valid check character.

  • Transmit check character includes the check character with the decoded data.

  • Convert to Code 32 converts Code 39 character set to Code 32 if checked.


Interleaved 2 of 5 Properties

  • Check Character only decodes symbols with a valid check character.

  • Transmit Check Character includes the check character with the decoded data.


Pharmacode Properties

Benefit of specifying a code size and orientation

Specifying an explicit code size and orientation can improve the ability of the reader to reliably decode symbols.

The number of data characters and the number of bars in any symbol

Data Characters : Bars

  • 1: 3 Note: the only 1 character code the reader reads are those with 3 bars or more. That means 6, 7, 8 and 9 only.

  • 2: 3 to 6

  • 3: 6 to 9

  • 4: 9 to 13

  • 5: 13 to 16

  • 6: 16


Codabar Properties

  • Check Character only decodes symbols with a valid check character.
  • Transmit Check Character includes the check character with the decoded data.
  • Transmit Start and Stop Characters includes the start and stop characters with the decoded data.


MSI Properties

  • Check Character only decodes symbols with a valid check character.
  • Transmit Check Character includes the check character with the decoded data.
  • Checksum calculating method allows you to select the method used for calculating checksum.


DataBar properties

  • GS1 DataBar Limited: Encodes a 14-digit EAN.UCC item identification with Indicator digits of zero or one in a linear symbol for use on small items that will not be scanned at the point-of-sale

  • GS1 DataBar: Encodes the full 14-digit EAN.UCC item identification in a linear symbol that can be scanned omnidirectionally by suitably programmed point-of-sale scanners

  • GS1 DataBar Expanded: Variable length, expanded version of the symbology capable of encoding the 14-digit GTIN and additional data including expiration dates, the country of origin and serial numbers - up to 74 numeric or 41 alphabetic characters.


Postal Properties

  • POSTNET: A barcode symbology that is used by the United States Postal Service to assist in directing mail. The ZIP Code or ZIP+4 code is encoded in this unique symbology that encodes data in bars of different heights.

  • PLANET: Postal Alpha Numeric Encoding Technique (PLANET) barcode is used by the United States Postal Service to identify and track pieces of mail during delivery. Like POSTNET, it encodes data in bars of different heights.

NOTE: Postal codes can only be decoded if presented in picket fence position.


Supported Quick Response (QR) Code versions

QR (Quick Response) Code is a 2-D symbology that features a square array of dark and white modules used to encode data. The reader can discern between three different types:

  • model-1: Original version

  • model-2: Enhanced version

  • Micro QR Code: A very small QR code that fits applications requiring a smaller space and using smaller amounts of data than other QR Code versions


QR Code Properties

Maximum Grid Size

Maximum Grid Size allows you to decode QR codes that are larger than size 49. You can either drag the slider or type in a specific code size to the text box on the right.

QR code quality metrics

For information on code quality metrics, see the DataMan Communications and Programming Guide.


DotCode Properties

Specifying the number of data rows and columns

Specifying the minimum and maximum number of data rows and columns can improve the ability of the reader to reliably decode symbols.

Polarity setting

You can set what the device defines as a module (dot) in relation to its background. The Dark on Light setting implies that the device scans for and decodes dark dots on a light background, while Light on Dark is the opposite (light dots on a dark background).

The default Either setting scans for both kind of modules on their respective background, but this may lead to a slightly slower decoding.


What are the different settings for UPC/EAN Properties?

  • Expanded enables decoding of expanded symbols.

  • Supplementals controls how the reader decodes supplemental codes.

  • Delete leading zeros deletes leading zeros from decoded strings.

  • Allow EAN8 Supplementals enables decoding of supplemental codes on EAN8 symbols.

  • UPCE1 Enabled enables decoding of UPC E1 symbols.


UPC/EAN Properties: What does the Expanded checkbox mean?

This is a Boolean to indicate whether the reported decoded string for UPC-EAN should be expanded to a 13-digit EAN13 format or transmitted in the standard UPC-E 6-digit format.

When checked (default), the decoded string is transmitted in 13 digit EAN-13 format (e.g. 0012345000065). When unchecked, the result is transmitted as <number system> + 6 data digits + <check character> (e.g. 01234565).


Application Details


What can I set in the Application Details step?

On the Basic tab, change trigger and exposure settings. For ease of use, a Trigger Assistant, an Interval Assistant, and an Exposure Assistant help you with these settings.

On the Advanced tab, further settings can be implemented in table view.


What are the trigger types?

  • Presentation triggering continuously scans for a symbol and decodes it each time one is detected. A presentation trigger relies on a timing mechanism and motion detection internal to the reader.

    You can specify several parameters in Presentation mode, such as whether the reader will read the same code more than once or how long to wait before scanning for the next code.

    In presentation mode, use the Automatic Exposure settings to have the reader determine the best exposure settings for a desirable level of brightness in the image. Be aware, however, that the reader uses the initial images it acquires to determine these settings, and might miss images containing a symbol for decoding. You can switch to Manual Exposure settings and specify a precise setting for the imager exposure.

    • Dock the device into the base station.
    • Switch to Manual trigger mode in the Setup Tool, then switch back to Presentation mode.
    • Scan the Enter Presentation Reader Configuration Code.

  • Manual triggering begins acquiring images in response to any of the following events:

    • Pushing the physical button on the reader

    • Sending the DataMan Control Command (DMCC) trigger when connected to the reader over a serial, Ethernet, or wireless connection

    • Clicking the Trigger button in the Setup Tool

    • Pressing Ctrl+T from the keyboard when the Setup Tool has the focus

    The reader continues to acquire images as long as the signal remains active and stops when a symbol is found and decoded or the trigger signal ends.


Trigger Assistant

You need to select the trigger type first for this assistant to work. Select the trigger source from the drop-down: Undefined, None or External. You get a recommendation from the assistant for the trigger modes. Graphical presentations of the trigger types help you decide. Select the chosen trigger type and click Save and Close.


Interval Assistant

In the case of Burst, Self and Continuous modes the Interval Assistant can help you make further settings. You can select three ways to calculate the necessary data. In the top right corner select the units (standard or metric) you wish to calculate in.

Click Field of View to calculate the longest possible interval time by measuring the physical field of view and giving the maximum line speed and the size of the longest code.

Click Lens / Distance to Code if you want to give the distance of the code from the lens. Give the focal lenght from the drop-down and select the direction in which the code is travelling. Here you also need to give the maximum line speed and the size of the logest code.

Click Code Element Size to calculate with the size of the most narrow code element. Enable Test Mode to read your code. You also need to give the direction your code is travelling in, the maximum line speed and the size of the longest code.

At the bottom of the Assistant you get the recommended maximum interval time.


My code reads twice if I trigger the reader again. Why?

The Re-Read Delay and Never Read Same Code Twice options only affect acquisitions made within a single trigger cycle. Triggering the reader will clear the timers and the last read code for Never Read Same Code Twice.


What is Never Read Same Code Twice?

The Never Read Same Code Twice option suppresses the reporting of the same code string twice in a row and within a single trigger sequence when enabled. It is available for all trigger modes, but is only valid in Multicode Reading, because the only way to get more than one code in a single trigger sequence is in multicode readings. If Never Read Same Code Twice is unchecked, the device re-reads and re-transmits the same code after the specified Code Re-Read Delay (in milliseconds).


What are Delay Mode and Code Re-Read Delay?

The Delay Mode option sets the code re-reading delay relative to either the first or the last read.

The Code Re-Read Delay (in milliseconds) option lets you specify the delay between read attempts. Specifying a non-zero value for this delay can help prevent data from overwhelming the device that is connected to your reader.


What is the difference between the After First Read and After Last Read Delay option?

The After First Read delay starts timing after the first time a given code is read, and the timer will not reset. This means that a code may be re-read if the reader is triggered in a multiple-image mode such as Continuous, and if the code is in front of the reader for an amount of time equal to or exceeding the Re-Read Delay.

After Last Read resets the timer every time a given code appears in an image. This means that the code will not re-read, as long as it stays in front of the reader. Only removing the code from the reader's field of view for a time equal to or exceeding the Re-Read Delay will cause the code to re-read.


What is Motion Detection?

Motion Detection allows you to set up your device to switch into active Presentation trigger mode for a period of time after it detects movement in the device's field of view.

Motion Detection settings become available only if the trigger type is set to Presentation. When Motion Detection is enabled, the device is not taking images, but monitors the background if the scene in its field of view is in motion or not.

If it is in motion, the device actively acquires images as per Presentation trigger mode. The Timeout setting allows you to specify the time period (in seconds) after which the device switches back to Motion Detection from active triggering, but this Timeout resets every time by motion or a good read.

With Motion Detection Sensitivity you can define the device's sensitivity to recognize motion. For example, if it is set to High, the device switches on active Presentation trigger mode even if the amount of motion in the field of view was small.


How do I send a trigger from the keyboard?

Press <ctrl>-T (the Setup Tool window must be active).


How do I adjust the image exposure?

In the Exposure group, Automatic Exposure automatically determines the best settings for a desirable level of brightness in each image. You can use Maximum exposure settings as necessary for your production environment. Alternatively, select Manual Exposure and set a precise exposure time in microseconds.

With Manual Exposure, you can click Optimize Brightness on the Result History pane to generate a fixed value for the exposure setting limited by the Maximum exposure value. The Gain slider (below the image view area) indicates the target's pixel brightness.


Format Data


How does data formatting work?

On the Basic pane you can select what type of formatting you want to use.

You use the Standard pane to construct a customized output string using pre-defined building blocks on the individual symbology tabs:

  • The output string starts with whatever text you enter in the Leading Text field.

  • Select items from the lists in the General, Validation, and (when applicable, to the) Metrics tabs, and click Add to add them to the output string. To add a specific range of characters from the decoded data, click Set sub-string range, then enter the range of characters to add (such as 1-3,5,8,10-), then click on Sub-string in the list and click the Add button.

  • The output string also includes any text that you add to the Terminating Text field.

  • To terminate the entire string with a carriage return/line feed pair, check the CR/LF checkbox.


Why are there different tabs below the Standard tab?

You can specify formatting separately for different symbology types, or use the Universal tab to specify the data formatting for any decoded symbol, which has precedence over the tabs for specific symbology types.


How can I use both symbology specific and universal formatting?

The Standard Formatting pane uses the following criteria when using both symbology specific tabs and the Universal tabs:

  • Each individual result will pass through the symbology specific formatter, if enabled. Multiple results of the same symbology will be formatted separately with identical settings.

  • If the Universal tab is enabled, individual results will pass through the symbology specific formatter, if enabled, and then be augmented with the formatting rules on the Universal tab. For multiple results (on supported readers), results will be concatenated and separated by the chosen delimiter, with no extra delimiter at the end. The concatenated string will be treated as a single string for the remaining formatting rules on the Universal tab.

  • For multiple results, the order of results in a concatenated string is 1) Data Matrix 2) QR Code 3) 1D codes 4) Vericode 5) DotCode 6) OCR.

  • Any tokens added to symbology-specific formatting which are valid only for the overall decode process (such as decode time or trigger index) will report this global value.


What data is sent if Standard Formatting is not enabled?

The reader transmits the entire decoded string followed by a carriage return/line feed pair.


How can I send just the decoded data without a carriage return/line feed pair?

Enable formatting, add Full string to the output string, and make sure that the CR/LF check box is not checked.

To send only a carriage return, enter \r in the Terminating Text field.


What is Input String?

Input String is a formatting token that you can include as part of the reader properties in script based formatting or as a token of Standard Data Formatting. Please note that you cannot change any further properties of Input String in Setup Tool, its parameters are only available in DMCC.


How can I stop Excel from skipping cells?

By default, the reader appends a carriage return/linefeed pair after each transmitted code. When you use a keyboard connection to enter the transmitted codes into Excel, the carriage return/linefeed pair causes Excel to advance by two rows after each code. To prevent this from happening, configure the reader to send only a carriage return:

  1. Click on Standard Formatting.

  2. Specify the symbology you are using in the Symbology tabs.

  3. Check the Formatting Enabled box.

  4. Click on Full string in the General tab.

  5. Click Add.

  6. In Terminating Text, enter \r in the text field and uncheck the CR/LF box.


How do I output specific elements of the encoded data when Data Validation is enabled?

First, select the type of validation you need on the Data Validation pane. Enable Basic Formatting on the Basic tab of the Format Data application step. Select the Validation tab of the Standard tab and then add the desired data field(s) to the output string including the Enterprise Identifier, Serial Number, Part Number, Unique Item, and GS1 Application Identifiers.


What are the individual options in the General tab in the Data field of the Standard tab?

  • Sub-string: A sub-string of the characters encoded in the symbol. You must specify a range for the sub-string to use this option.

  • Full string: All of the characters encoded in the symbol

  • Decode time: The amount of time, in milliseconds, it took the reader to decode the symbol. This period of time does not include image acquisition, pending image processing, communication time and additional processing (for example, Data Formatting).

  • Trigger time: The amount of time, in milliseconds, between when the trigger was received and when the decode operation was complete

  • Symbology: The symbology of the decoded symbol

  • CR/LF: Carriage Return with Line Feed

  • TAB: A tab character.

  • SP: A space character.

  • Symbology Identifier: The symbology identifier as specified by ISO/IEC 15424:2008

  • Module Size: The width (or height), in pixels, of each module in the symbol

  • Code Position: The image coordinates of each corner of the decoded symbol

  • Code Orientation: The orientation of the decoded symbol reported in degrees. Clockwise rotations of the decoded symbol are considered positive changes in orientation.

  • Contrast: A value, between 0 and 1, to indicate the total amount of contrast within the decoded symbol. A high value indicates the light and dark modules in the symbol have a wide range of grey values, while a low value indicates the light and dark modules consist of similar grey values.

  • UEC: The amount of available unused error correction in the symbol. Error correction is a method of reconstructing or replacing data that is lost through symbol damage. A value of "100" is ideal. 1D Symbology always returns -1.

  • Input string: The received (serial or Ethernet) input string.

  • Filter time: The duration of filtering in milliseconds (ms).

  • Result source: The name of the device.

All of following values will increment whether or not the reader is connected to the Setup Tool.

  • Total Reads: The total number of decoded symbols

  • Total NoReads: The number of times a trigger was received but no symbol was decoded

  • Total Triggers: Total Triggers = Total Reads + Total NoReads + Total Missed Triggers

  • Missed Triggers: The number of missed triggers because no image buffer was available when the trigger was detected

  • Trigger Index: The total number of triggers detected by the reader.

Values that will be reset to 0 any time when either the Process Statistics is cleared on the Process Monitor pane, or after a reader reboot are the following:

  • Total Reads

  • Total NoReads

  • Total Triggers

  • Missed Triggers

Trigger Index will be reset to 0 only after a reader reboot, but not after clearing the Process Statistics.


How can I simulate Alt-key, Ctrl-key, or Shift-key combinations?

To use this feature, four escape sequences, \ALT-, \CTRL-, \SHIFT- and \K, are available. \ALT- is used for <ALT-key> sequences, \CTRL- is used for <CTRL-key> sequences, \SHIFT- is used for <SHIFT-key> sequences, \K for special keys. Note that the key after the backslash needs to be in capital letter, otherwise no special key combination is recognized.

The sequences are entered in the Leading/Terminating Text fields of the Standard pane.

Supported special keyboard sequences

The following format has to be used:

\ALT- followed by keyname followed by ;

or

\CTRL- followed by keyname followed by ;

or

\SHIFT- followed by keyname followed by ;

or

\K followed by keyname followed by ;

The terminating semicolon is necessary to be able to distinguish between sequences with the same prefix, otherwise key sequences could be interpreted arbitrary, e.g. there would be no means to detect if \KF11 means "press F11" or "Press F1 followed by a one".

Be aware that if these two escape sequences are entered on the Universal tab, they are applied on NoRead results also.

Supported Key Sequences and Keys

The following list contains the currently supported keys/key combinations:

  • ALT-A to ALT-Z

  • CTRL-A to CTRL-Z

  • CTRL-F1 to CTRL-F12

  • SHIFT-F1 to SHIFT-F12

  • F1 to F12

  • ALT-F1 to ALT-F12

  • PageUp, PageDown, Home, End, Arrow (up, down, left, right), Insert, Delete, Backspace, Tab, Esc, Print Screen, GUI (left, right) keys

    The escape sequences for these are:

    • PageUp -> \KPup;

    • PageDown -> \KPdn;

    • Home -> \KHome;

    • End -> \KEnd;

    • Up Arrow -> \KUar;

    • Down Arrow -> \KDar;

    • Left Arrow -> \KLar;

    • Right Arrow -> \KRar;

    • Insert -> \KIns;

    • Delete -> \KDel;

    • Backspace -> \KBksp;

    • Tab -> \KTab;

    • Esc -> \KEsc;

    • Print Screen -> \KPrtScr;

    • Left GUI -> \KLGui;

    • Right GUI -> \KRGui;

  • Pause output -> \KPAUSE;

Here are some examples:

  • To generate <ALT-V> sequence, use \ALT-V;

  • To simulate <F10> key pressed, use \KF10;

  • To simulate <Home> key pressed, use \KHome;

  • To enable/disable the status bar in notepad (<Alt-v><s>), the sequence has to be \Alt-v;s

If a wrong or incomplete sequence is used, the two characters which mark the escape sequence are ignored. In this case, the first two letters of the escape sequence are skipped and the remaining characters will be sent. For example the sequence "\ALT-M11;" is invalid and will result in displaying "LT-M11;"


How can I test my data formatting?

Use the Test button at the bottom of the page to test how the result will look like.

Scan a symbol and view the formatted result in the status bar. You can also select the Result History pane and then read a symbol. The Result History shows the results of the formatting you specified.


What is the Output Options feature?

The Output Options feature provides the ability for you to output your desired output data elements in different formats. As an example, if a comma is selected and you have selected to output the full string followed by the symbology type, the output would be the full data string followed by a comma, followed by the text ‘Datamatrix'. To test the different outputs, you can select a particular output type and then select the Test button to see the output in the adjacent display window. Note that if Data Validation is selected and a code fails the Data Validation, the output options feature will not be enabled.


Why is the Test button greyed out?

You can test your code only after the first successful decode.


Can I specify characters using hexadecimal or octal ASCII codes?

In the Leading Text and Terminating Text fields, you can specify characters as \nnn where nnn is the octal ASCII code. You can specify characters in hexadecimal by entering \xnn where nn is the hexadecimal ASCII code.

You can also use the following predefined codes:

  • \a Alert (ASCII 7)
  • \b Backspace(ASCII 8)
  • \E Escape (ASCII 27)
  • \f form feed (ASCII 12)
  • \n line feed (ASCII 10)
  • \t horizontal tab (ASCII 9)
  • \r carriage return (ASCII 13)
  • \v vertical tab (ASCII 11)
  • \\ backslash (ASCII 92)


What does the reader transmit when no code is read?

Normally, no data is transmitted by the reader if a code cannot be read. The result history will show an empty result string and a red cross icon with the message "NoRead" as Result status.


What is the Code Position result?

For Data Matrix symbols, the Code Position represents the reported location of the four corners of the symbol. The reader returns 4 pairs of coordinates:

  • The first pair represents the intersection of the finder pattern.

  • The second pair represents the intersection of the horizontal finder pattern and the vertical timing pattern.

  • The third pair represents the intersection of the timing patterns (diagonal opposite to the first pair).

  • The fourth pair represents the intersection of the vertical finder pattern and the horizontal timing pattern.

Cognex recommends you select a delimiter, such as a comma, to separate each value and make the result data easier to read.


Which data formatting method should I choose?

You can use Basic Formatting (either Standard or Perl-Style) or you can write your own script in JavaScript on the Scripting pane's Data Formatting tab. The two methods differ in the following:

  • Basic Formatting allows you to drag and drop pre-defined data formatting elements.

  • Script-Based Formatting allows you to write a script which, in addition to formatting read results and data, is capable of making your reader perform operations such as beeping or pulling output 1 up.


What is the purpose of the Communication tab?

In this tab, you can edit your custom communication protocol script.


What are the limitations in Script-Based Formatting?

You are limited to two custom events and overwriting the system event in Script-Based Formatting.


Where can I find an example for a script?

You have the following options to insert a script to the Scripting pane's main window:

  • Click the Insert Snippet button on the top toolbar and choose the appropriate snippet from the list according to your needs.

  • Right-click anywhere on the main window and select Insert Snippet.... Click the appropriate snippet from the list according to your needs.

  • Press Ctrl-K, X

NOTE: If the Insert Snippet button is not active, the firmware version running on the device does not support snippets for the current script tab.


What is the purpose of the FTP Storage tab?

This tab is used for FTP filename generation of images and code quality reports.


How can I load my scripts?

You can access them by clicking the ribbon menu and then clicking the Open Script option. You can save your scripts with the Save Script button.

NOTE: Scripting only supports UTF-8 character encoding!


What is the Complete Word option?

You can complete words in your script by the following methods:

  • clicking the Complete Word button on the upper toolbar

  • right-clicking anywhere in the main window and selecting Complete Word

  • pressing Ctrl-K, W

You can then choose from a list of objects to insert into your script.


How can I quickly edit my script?

Use the Cut, Copy, or Paste buttons in the upper toolbar, or right-click anywhere in the main window and choose Cut, Copy, Paste, Delete, or Select All.


Why are all variables reset upon selecting System->Save Settings?

Whenever a script is changed and the focus of the editor is left, the script is transmitted to the reader causing a context invalidation of the script engine. A script context invalidation causes all variables to be reset.


How can I see errors in the device log using scripting?

Use the Throw() command to report the occurrence of an anomalous situation (exception) and the error will appear in the device log when the device is not connected to Setup Tool. You can access the error log by clicking, in the Setup Tool's menu bar, System, and then Show Device Log.

While the device is connected to Setup Tool, the exception appears below the the script on the scrip pane.


Where can I find more information about Script-Based Formatting?

For more information, see the DataMan Communications and Programming Guide, available through the Windows Start menu or the Setup Tool Help menu.


How do I set a delay in the code output?

To set a pause in the code output, the sequence \Pause<time>; can be added to the text fields in the Data Formatting pane.

<time> contains a value in milliseconds, for example, to wait 4 seconds, the sequence is \Pause4000;.

This feature can be used with USB HID or RS232. For RS232, the feature needs to be enable using the DMCC command COM.RS232-ENABLE-PAUSE. For USB HID it is enabled by default.


Why are there different tabs along the top?

You can specify formatting separately for different symbology, or use the Universal tab to specify the perl-style regular expression formatting for any decoded symbol.


How do I specify arbitrary text substitution?

Enter text in the Regular expression: text box. The syntax for the string is:

        /search/replace/g

where search is the string to search for and replace is the string to replace search with. By default, only the first occurrence of search is replaced. To replace all instances, add g at the end of the command.

For example, if the reader decodes this string:

        UPC 05214275600

You could replace the string "UPC" with the string "SKU CODE:" by using this substitution string:

        /UPC/SKU CODE:/

which would produce this output string:

        SKU CODE: 05214275600

You can enter multiple substitution pairs separated by a space. Multiple pairs are used sequentially: the result of the first pair is used as input for the second pair, and so on.


What does 'Discard unmatched data' mean?

By default, any text that is not part of the match string is passed through unchanged. If you check Discard unmatched data, then only the string resulting from the substitution is sent.


What special characters need to be escaped?

The following characters have special meaning in the search and replace strings:

            ˆ  . , (  )  [  ] $ \ / * + |

If you wish to include any of these characters in your search or replace string, you must precede them with a backslash character \. To include a backslash character, enter \\. To enter an arbitrary ASCII character, enter \xhh where hh is the hexadecimal character value (you cannot use \ooo to specify octal ASCII values).


How do I use a wildcard to match different characters or patterns?

You can match any single character, any character from a set of characters, any character from a range of characters, or any character that is not within a range of characters using these special characters in the search string:

. Match any single character

[abcd...] Match any single character from the set a, b, c, d ...

[a-z] Match any single character within the range of characters a through z (letters or numbers can be used)

To invert the sense of a wildcard using a set or range of characters, precede the characters with a ^ character.

To match a variable number of characters, append one of the following modifier characters to the character or wildcard being matched:.

+ matches one or more of the preceding character

* matches zero or more of the preceding character

? matches zero or one of the preceding character

{n} matches n instances of the preceding character

{n,m} matches at least n but not more than m instances of the preceding character

{n,} matches at least n instances of the preceding character

Here are some examples of wildcard matching:

/A.B/AB/g removes any single character between 'A' and 'B' in the input string

/A.*B/AB/g removes any number of characters from between 'A' and 'B' in the input string


Are there wildcards for matching special characters?

Use the following escape sequences to match special characters and character types:

\n a newline character

\w an alphanumeric character (letter or digit)

\W a non-alphanumeric character

\s a whitespace character

\S a non-whitespace character

\d a digit

\D a non-digit

You can use these characters in combination with the multiple-character matching wildcards listed in the previous item.


How do I anchor the search string?

Precede the search string with ^ to only match it at the beginning of the string. Precede the search string with $ to only match it at the end of the string.


How do I reuse part of the search string in the result string?

Enclose the part or parts of the search string that you wish to use in the result string in parentheses. You can refer to the enclosed strings in the result string using the tokens \1, \2 and so on.


Is there a maximum size for Perl-Style Regular Expressions?

The maximum size of the script entered in any one tab is 512 characters, but the symbology specific tab will run before the universal tab. If both are used concurrently a script of up to 1024 characters may be written.


Where can I get more information about Perl-Style Regular Expressions?

Here. Note that not all features described on that page are implemented by the reader.


Inputs / Outputs


What is Never Read the Same Code Twice?

The Never Read Same Code Twice option suppresses the reporting of the same code string twice in a row and within a single trigger sequence when enabled. It is available for all trigger modes, but is only valid in Multicode Reading, since the only way to get more than one code in a single trigger sequence is in multicode readings. If Never Read the Same Code Twice is unchecked, the device re-reads and re-transmits the same code after the specified Code Re-Read Delay (in milliseconds).


Where can I set User Events?

Switch to the Format Data pane and enable Script-Based Formatting. In the Scripting tab's Data Formatting window, you can add your event.


When does the selected action take place?

When the checkbox is selected, the action assigned to an input does not occur immediately after activating the input. It takes place only when the next trigger is performed.


How can I reset my reader?

Scan the Reboot Scanner command printed on the back of the Quick Reference Guide to perform a soft reset. The reader's nonvolatile memory is not cleared, but the reader is shut down and restarted.

Scan the Reset Scanner to Factory Defaults command to return the reader to its factory-default state.


What does the reader transmit when no code is read?

Normally, no data is transmitted by the reader if a code cannot be read. You can send a specific string up to 32 characters long by specifying a NoRead string. Click on the System Settings node, then enter the Outputs node enter the string in the NoRead Output String field and press <Enter>.


Why would I change the name of the device?

You can give the device a more meaningful name for your production environment, such as the location or the inspection task.


How do I change the name of the device?

To change the name of the device:

  1. Enter a new name for the device in Device Name.

  2. The question "The changes made require reboot to take effect. Apply changes and reboot now?" pops up. Click Yes.

  3. If, for any reason, you click No, you can still apply the changes. Choose System->Save Settings and then reboot your device.

The next time you start the Setup Tool or click Refresh in the Home screen, it will reflect the new device name.


What system settings can I change?

You can disable or enable the beeper.

The System Settings drop-down list on the Advanced tab lets you control what the reader does when it reads a code, when it cannot read a code and when it reads a code that fails validation.

  • Sound level controls the pitch of the signal tone.

  • Number of tones controls how many times the signal is sounded.

  • LED color sets the color displayed by the reader's status indicator (mounted on the back of the reader).

  • Enable vibration controls if a good read is signaled by vibration.


What is a Wake-up Message?

If Output Diagnostic String on Wake-up is enabled, the reader or the base station transmits a diagnostic string whenever the device starts up.

This functionality is not available for USB connections. For serial connections, the baud rate is automatically set to 38,400 when the message is sent, regardless of the settings made in the Setup Tool.


Communications


What can I set in the Communications application step?

On the three tabs of the Communications application step, serial and ethernet settings can be implemented. Click the appropriate tab to enter your setting values.

On the Advanced tab, further settings can be entered in a table view.


How do I change the reader's serial port settings?

On the Serial tab of the Communications application step, enter the new settings. You can also scan the Configuration Codes document (available through the Windows Start menu or the Setup Tool Help menu).


When should I use the USB Driver Compatibility Mode?

By default, the DataMan reader uses a USB driver that can help the reader recover from an electrostatic discharge (ESD) event. Use USB Driver Compatibility Mode if you require strict conformance to the USB specification or you are using a DataMan reader together with the Cognex SensorView product.

When you change USB driver compatibility mode, the question "The changes made require reboot to take effect. Apply changes and reboot now?" pops up. Click Yes. If, for any reason, you click No, you can still apply the changes. Choose System->Save Settings and then reboot your reader.


What is affected by changing the USB mode?

When you are connected to your reader through a serial USB connection, you can change the USB speed of that connection to either 1.1 or 2.0.

When you are connected to a wireless reader, changing the USB mode will not affect the base station. The changed settings will remain in the reader's memory, and if you change the wireless slide-in to a serial slide-in, the reader will connect with the (previously) selected USB mode.


How do I use the reader instead of a keyboard when connected via USB?

To emulate a USB keyboard, simply scan the USB Keyboard code from the Reader Configuration Codes document (available through the Windows Start menu or the Setup Tool Help menu) and make sure you disconnect from the Setup Tool.


What can I set with the Used Communication Channel drop-down menu?

Here, you can set the communication method via USB. Depending on the used device, the following options are available:

  • USB-COM only: Choose this option to reach the device through a serial port.

  • USB-HID only: This option ensures that the device will behave like a USB keyboard.

  • USB-COM + USB-HID: This is a combination of the above modes.

NOTE: In the case of USB-COM only, some devices may also be listed under 'HID devices', even though they lack HID functionality.


How do I use the reader instead of a keyboard through the PS/2 adapter?

To emulate a PS/2 keyboard, you must use the serial cable, external power supply, and keyboard wedge cable, as described in the Quick Reference Guide. Scan the PS/2 Keyboard Emulation Enable code from the Reader Configuration Codes document (available through the Windows Start menu or the Setup Tool Help menu). To install the PS/2 adapter, you must power off your PC completely. Connect the reader using the cables listed above. Then turn on your computer and the reader will emulate a PS/2 keyboard.


What happens if I do not reboot my reader when asked?

Your changed settings are not taking effect. If you change your mind, click System and choose Save Settings. Then restart the reader.


What is Zero Padding?

Zero padding places leading zeros within your transmitted data, which is needed in some applications that accept the data sent by the reader.


How do I configure the network settings of the reader?

If you are using a wireless DataMan 8000 reader, configure network settings on the base station. If you are using a tethered reader, use the Network tab to configure network settings.

Select the Use DHCP Server option to have the reader assigned an IP address by a DHCP server (if one is available), or enter the network settings manually. Contact your network administrator for an appropriate value.

When you change the settings, the question "The changes made require reboot to take effect. Apply changes and reboot now?" pops up. Click Yes. If, for any reason, you click No, you can still apply the changes. Choose System->Save Settings and then reboot your reader.


What is the Copy PC Network Settings option?

Click the Copy PC Network Settings button when you want to configure your DataMan device to reside on the same subnet as your PC. Choose the network you want to use and the settings will be copied in the Use Static IP Address window. NOTE: Remember to update the IP address of your DataMan device. The IP address that is copied belongs to your PC. You have to reboot the device in order for the changes to take effect.


Are my communication settings synchronized between the reader and the base station?

You must place your reader in the base station so that they can exchange and update settings to be in sync. If your reader is already in the base station when you change your communication settings, lift your reader and place it again in the base station.


If the reader communicates at 802.11b, will it cause all other WiFi devices to communicate at 802.11b speeds?

Because the reader and the base station have a point to point connection and are not connecting to a third party WiFi network, the communication speed between the base station and the reader will not affect other WiFi devices.


Why is everything disabled on the WiFi tab?

If the reader is already associated with a base station, the option fields are dimmed. Connect to the base station if you want to change any configuration.


Why is everything disabled on the Bluetooth tab?

If the reader is already associated with a base station, the option fields are dimmed. Connect to the base station if you want to change any configuration.


How can I unassign my reader from the base station?

Click the Unassign button in the Associated Base Station group box. Note that after clicking Unassign, your Setup Tool connection will be lost. Make sure you save all your changes beforehand.

You can also disconnect by scanning the Unassign reader configuration code.


What is "Re-enumerate on Firmware Start"?

In some cases the COM port is enumerated but starting the firmware takes longer and the COM port timeouts which is interpreted as a lost connection. To prevent these cases, this checkbox ensures that the COM port is re-enumerated once more, after the firmware is restarted.


Industrial Protocols

EtherNet/IP protocol

To enable the reader to use the Ethernet/IP protocol, check EtherNet/IP in the Ethernet tab's Industrial Protocols box.

"The changes made require reboot to take effect." is displayed on the right side of the Communications banner. Click Save Settings and then reboot your reader.

PROFINET protocol

To enable the reader to use the PROFINET protocol, check PROFINET. You can enter the name of the station by clicking the Use Name of Station box.

"The changes made require reboot to take effect." is displayed on the right side of the Communications banner. Click Save Settings and then reboot your reader.

SLMP Protocol

To enable the reader to use the SLMP protocol, check SLMP Protocol, then set the parameters as needed.

"The changes made require reboot to take effect." is displayed on the right side of the Communications banner. Click Save Settings and then reboot the reader for the setting to take effect, either by toggling power to the reader or by scanning the Reset symbol.

Modbus TCP

To enable the reader to use the Modbus TCP protocol, check Modbus TCP, then set the parameters as needed.

"The changes made require reboot to take effect." is displayed on the right side of the Communications banner. Click Save Settings and then reboot the reader for the setting to take effect, either by toggling power to the reader or by scanning the Reset symbol.

EtherNet/IP, PROFINET, SLMP Protocol, or Modbus TCP selection grayed out

Only one Ethernet industrial protocol may be used at a given time. When one protocol is selected, the other is unavailable.


How do I use the Authenticate option?

When Authenticate is enabled, the Setup Tool will prompt the user for a password to the admin account when any attempt is made to connect to an available reader or base station over the network.


How do I establish a TCP/IP connection?

The reader allows TCP connections to port 23, which is the default TCP port for Telnet applications. If you use a Telnet client, the only parameter you will have to provide is the reader's IP address. If you are using another application or SDK to connect, make sure that it uses the same TCP port setting as your reader does. The TCP port can be changed on the Telnet pane. The reader will automatically send code output over this connection. You are able to transmit DataMan Control Commands (DMCC) over this connection as well.

When you change the Telnet port, the question "The changes made require reboot to take effect. Apply changes and reboot now?" pops up. Click Yes. If, for any reason, you click No, you can still apply the changes. Choose System->Save Settings and reboot your reader.


Can I send images to an FTP server?

Use the FTP Image tab to configure the settings necessary to transfer images to an FTP server. The tab contains settings for the IP address and port number of the server as well as a username and password combination. Be aware that images sent using FTP are not guaranteed to be sent, which can happen when the reader is operating at a higher frequency and cannot schedule time for transfer of images. Also note that transfer over wireless links may be much slower than regular network communication. In such cases, it is recommended to use downsampled/compressed images.

The File Name options allow you to specify the file where the images will be stored. The File Name field allows you to specify a path in relation to the FTP server's root directory (for example, /failed_images/image). The filename extension (.jpg or .bmp) presented in the label following the file name matches the image format setting on the Buffered Image Settings pane. Be aware that the reader does not create directories; the directory must be available and accessible.

The Max Append Value control indicates the limit of the increment value used in the file name. A value of 0 indicates that no increment will be appended and the file can be overwritten.

The Server Generated File Name option starts with a blank path, which indicates the root directory of the FTP server.

The What Images to Transfer list allows you to choose which type of images are sent to the FTP server. Be aware that the FTP server needs to support image transfer.


What is Network Client?

The Network Client behavior is a means for the DataMan ID Reader to actively open an Ethernet connection to another device on the network. Once open, the connection will have the same basic operational behavior as the DataMan Telnet connection; it can produce read results (transmit results to the external device) and it can act as a DMCC server (process commands received from the external device).


What is a Host?

The host is the device on the network to which the DataMan will connect. Specify the Ethernet address and port number of the host device. The address can either be a fully qualified domain name (e.g “server.mynetwork.com”) or a dot-decimal format IP address (e.g “192.169.0.1“).


What is a Client Port?

The client port is the Ethernet port on the reader from which the client connection will originate. The default value of 0 instructs the Network Client to use any available port. In special cases you may need to define a specific client port. Simply set the client port to the required value. Note that the most typical case is to use the default value of 0. If in doubt, use the default value.


How do I make a connection?

The client will connect based on the chosen Open Connection option. The available options are to connect when the DataMan powers up or to connect as soon as there is data activity (i.e. connect when a code is read).


How do I shut down the connection?

There are two available Close Connection options. The connection can either stay open forever or the connection can shut down after data transfer is completed. If you choose the After reader data transfer option, you can also set a number in seconds after which the connection shuts down if the reader is idle for that period of time. The length of the idle period is adjustable from 1 to 3600 seconds.


What is the Connection Timeout?

The connection timeout is the amount of time (in milliseconds) that the DataMan will wait for the connection to open. Note, if the on power-up connection option is chosen, the reader will continuously retry opening the connection.


What is the Reconnect Delay?

This is the amount of time (in milliseconds) that the reader will pause before attempting to re-open a connection.


What is transmitted when a code contains non-printing characters?

Normally, the raw values for non-printing characters are transmitted.


Repair and Support


What is Repair and Support?

The Repair and Support page can be used to set the network settings of a misconfigured network device or change the HID mode of a serial device to CDC.


What is the Refresh option good for?

Click the Refresh button to refresh the list of available devices.


How can I add a network device to the list of displayed devices?

You can add a network device or edit the IP address of an already added device by clicking Add Network Device. The Add Network Device dialog opens, where you can provide the IP address of the device. Click OK to save the changes and the device will show up also on the Connect page.


How can I edit the properties of a device?

Select a device from the list of devices to see the available options. In the opening pane, you can edit the network settings belonging to the selected device and set an authentication option as well. Click Apply to save the changes.


What can I use the Export icon for?

Clicking the Export Cognex Support File icon initiates Cognex Support File generation, which generates a .zip file containing a collection of preset data logs. This feature is only available if at least one device is selected.

Clicking on the button pops up a dialog box where you can specify the data types to be included in the support .zip file in a list of checkboxes:

  1. Cfg

  2. Cdc

  3. Last image

  4. Discovered devices

  5. Device statistics

  6. Memory statistics

  7. User comment (can be manually edited by the user)

The destination folder of the support file can be modified using the '...' icon. You can select to open the containing folder after the file generation or send it as an attachment with the default email client (.eml).

The output of the process is a .zip file. The file name contains the device name and the date of creation. An additional descriptor.xml in the zip contains the following data:

  1. Date

  2. Discovery ID

  3. Device name

  4. Device type

  5. Serial number

  6. MAC address

  7. Feature Keys

  8. Communication interface

  9. Firmware version

  10. List of files present in the zip


What does the Add Virtual Device button do?

This function allows you to create a virtual device based on either a custom configuration file or a device with default configuration. This can be used to look at different panes in Setup Tool without the need of a device to connect to. Pressing the button initiates a wizard that guides you through the steps of creating a virtual device. Initial options are to use a configuration/backup file for creation or use the factory default settings.

After the wizard is finished, a new virtual device is added to the list of discovered devices, indicated by an icon as a virtual device. The created virtual device is not visible for other devices on the network. The virtual device persists during multiple Setup Tool instances.

The created virtual device can be connected to the same way as a regular device, except that all configuration changes are rejected (everything is read-only) and no features, functions, and actions work on virtual devices.


What is the Copy PC Network Settings option?

When you select a device under Network, the Network Settings box appears on the right.

Click the Copy PC Network Settings button to copy the network settings of your PC and save time and effort to find out your PC's subnet mask and default gateway. Note that when the IP address is copied, it is your own PC's. The red rectangle around the IP address reminds you to manually update this field to the DataMan device's IP address.


Backup


How can I use the Backup function?

Using this function, you can generate a backup file containing the configuration and logs of one or more readers by clicking the Backup button in the lower right corner (or pressing Alt+B). This feature is only available if at least one device is selected.

Clicking the Open Backup Folder button navigates to the folder where the backup files are placed. You can set the folder under Home->Options->Backup Location.

If multiple devices are selected, each device generates a backup file. Each backup file is put in a subfolder that matches the name of the device. Backup file name contains the device name and date of generation.

The backup file is a .zip file with a .dmb extension. The file contains: config.cdc, config.cfg, and descriptor.xml. The xml contains the following data:

  1. Date

  2. Discovery ID

  3. Device name

  4. Device type

  5. Serial number

  6. MAC address

  7. Feature Keys

  8. Communication interface

  9. Firmware version

  10. List of files present in the zip


Where can I set the backup folder for the Backup function?

You can set the folder under Home->Options->Backup Location


Restore


How can I use the Restore function?

The Restore function allows the restoration of backed up configuration files on one or more devices. This feature is only available if at least one device is selected and if a valid configuration source is specified.

Under Configuration Source at the top, you can specify the source Setup Tool will use for restoration:

  1. Configuration File: When selecting this option, Setup Tool uses the specified configuration file for restoration. Click the '...' icon to specify the folder containing the backup file you wish to use. See Q and A under Backup for more information on how to set the folder.

    Note: The Restore button only becomes enabled when a compatible device is selected as a target.

  2. Device: When selecting this option, Setup Tool uses a specified single device to restore its configuration to all target devices.

  3. Latest Backup: When selecting this option, Setup Tool searches for the latest backup for the device selected. If multiple devices are selected, all devices get their own latest backup.

  4. Factory Defaults: When selecting this option, Setup Tool restores its configuration to factory defaults.

After the source is selected, as well as a target device (or devices), click the Restore button in the lower right corner.


How does the Restore with Network Settings drop-down button work?

Restore with Network Settings works the same way as the Restore button, but it restores the configuration from the .cdc file contained in the backup folder instead of the .cfg file. This option is only enabled if a .cdc is available in the specified source, and the target selection contains a single device.


Update Firmware


How do I update reader firmware?

After connecting to your reader, select System->Update Firmware..., then select the firmware file.

Note: Firmware files are supplied as compressed archives. The firmware must be uploaded in its compressed form; do not attempt to uncompress a firmware file before uploading it.


How do I use the Update Firmware function?

This function updates the selected device or devices to the desired firmware version.

  1. Select the device or devices you want to update from the device list.

  2. Browse for firmware files by clicking the '...' icon. If a single device is selected in the device list, the appropriate firmware folder for that device is opened. If multiple devices are selected, but they have the same firmware device ID, the appropriate folder is opened. If no device is selected or more devices are selected, but they have different firmware device IDs, the root firmware folder is opened.

  3. Click the Upload Firmware button. The button is enabled only if the selected firmware version and device selection is compatible.

  4. In the window that pops up, check Backup device before firmware update if you want the Setup Tool to back up configuration files the same way the Backup function does (see Backup Q and A for more details).

  5. Click Yes to start uploading the new firmware.

Note: In case of serial devices, you need to discover them first by manually refreshing before being able to update firmware.


Compare Configuration


Compare Configuration: General Layout and structure

Compare Configuration is a table view style tool used to set, copy, compare, or restore device configurations. The main area of the document page contains a grid with the properties of the device that was selected before initiated on the Connect to reader page.

Each Setup Tool document type uses its own connection. In case of serial communication, only one connection can be open at a time.

The header row displays the selected device name or names. The second header row below the first displays the available setups for the device. The row headers below (in bold) can be collapsed or opened by clicking the icon next to them. When a device is disconnected, a reconnect icon appears in its header row.

Settings that are not read setup dependent are only displayed in the first column (Main Setup).


Compare Configuration: Controls (Mouse and Keyboard)

Selection:

  • Mouse: Clicking on a cell in the grid selects it, which hightlights the row header of the cell and the column header(s) where the device and setup belong. The menu buttons and items in the ribbon menu can change in line with selection. If the selected cell is in the row of a header row, all cells in the current column that belong to the header are selected.

  • Keyboard: Cursor movement keys navigate the selection to the appropriate cell. The highlight and selection behavior is the same as by mouse.

Adding/changing values:

  • Mouse: For cells with embedded editors, clicking on the editor control (combo box, checkbox, numeric up-down) allows the input of values. For cells with custom editors (the '...' icon), a pop-up editor opens, allowing value input.

  • Keyboard: For cells with embedded editors, pressing Enter or F2 initiates edit mode, Esc cancels editing, and a second Enter confirms editing. Values can be entered in the selected text without entering edit mode, in which case the current value is overwritten at the first keystroke.

    For numeric cells, in addition to embedded text editor cells, the up and down arrows increase and decrease the value.

    For drop-down cells, Enter initiates edit mode and shows the drop-down items, while up and down arrows move the selection. A second Enter applies the selected value and Esc cancels editing.

    For checkbox cells, use Space to toggle checked/unchecked states.

Copying and Pasting:

Use the keyboard combinations Ctrl+C and Ctrl+V for copying and pasting, respectably, see the copy-paste description of the related ribbon menu items for more information.


Compare Configuration: Ribbon Menu

The ribbon menu can be found above the table view style grid. Its contents and active icons may change in line with the selection of cells, rows, or columns in the grid. The menu is separated into several groups.

  • Device: Settings in this group are related to devices and their configuration files. Use the Add Device... button to open up a dialog box where one or more device can be selected to be added to the comparison. The Add Config File... button opens a wizard where you can browse for a config or backup file (.dmb,.cdc,.cfg). If the selected file for the device does not contain all the required information, the missing parameters must be set, otherwise, default options are automatically selected. The same applies to cases where the virtual device database can not match parameters to the options available (for example, matching firmware version is not found).

    Note: Added virtual devices are read-only, as marked by the padlock icon in their header row.

    Clicking the Remove Device button removes the device(s) currently selected (the one that contains the currently selected cell(s)). Reboot Device reboots the selected devices. Persist Config on Device saves the configuration file of the selected device into its flash memory. Use Reset Factory Defaults to reset the selected device(s) to their defaults.

  • Editing: Use Copy (or Ctrl+C on the keyboard) to copy a value from the currently selected cell. Paste can only be used in the same row or in any text editor. Reset Values is used to reset the value(s) of the selected cell(s).

  • Highlighting: Buttons and settings in this menu group provide options to highlight specific cell backgrounds. With the Non-Default Values setting, cells that have non-default values are highlighted (this may be different in a single row for different devices or read setups). The Difference to Reference setting highlights cells that have different values from the cell in the same row of the reference read setup (and device). The third setting is selected, all values and headers are highlighted that contain the text specified in the textbox. Additionally, the contained text itself is highlighted with a different text background. Pressing Enter applies the function of the Show Highlighted Rows Only button as well.

    When enabled, Show Highlighted Rows Only collapses all nodes that do not have any sub-node that is highlighted. When activated, the Set Reference Read Setup specifies the read setup (and device) that is used as a reference when the Difference to Reference highlighting mode is used. When the button is active, the currently selected cell’s column (read setup) becomes the reference setup. The current reference setup is marked in the setup name header row.

  • Filtering: Set Read Setup settings to see only settings that are read setup dependent. Set Global settings to see only settings that can not have different values in different read setups. Set All settings to see all settings at once. If an entry has values in more read setups, they are visible in different columns.

  • Other: Use Expand All Rows to expand all the rows that have been collapsed in the grid. Use Collapse All Rows to collapse all expanded rows in the grid. Reset Layout recalculates the column widths to use up all available space. If the available space is not enough, a minimum column width is applied.


Compare Configuration: Compare Editor

Compare Editor opens for every Scripting item in the Compare Configuration table view (in any of its sub-category) after you click on the '...' icon. After it opens, you can see the script source of the device that the Compare Editor was opened on.

By clicking Default, the script reverts to the default script for the particular device. By clicking Compare, the default script appears on the second device appears on the right, but the drop-down menu on top can be used to change which script is compared to the one on the left. A Refresh button appears in the middle between the tabs (red, circular arrows), which can be used to refresh all script texts.

Clicking Close closes off the comparison and moves back to the table view inside Compare Comparison.


Image Window


What is the Image Viewer?

In this window, you can see the image read by your device.

Use the magnifier icons to autofit the image to the size of the Image Viewer window, to zoom in and out in the image, or to display the image in a pixel to pixel mode, respectively.

You can also enable or disable Focus Feedback on the image in LiveDisplay mode and you can copy the image to the clipboard.

Use the Save Image option to save only the current image or all burst images and the Logging options to log all NoRead or all decoded images to the file system.

You can also select to check the histogram of the read image and the brightness data of a selected point in the image. Use the buttons on the toolbar ribbon of this window to carry out these tasks.


Result History


What is Result History?

In this pane, you can see the decoded information after each read.

Use the Pause button to pause/freeze the result history Toolview, which makes finding specific read information easier. All Incoming results from the device will be rejected by the result history window until it is unpaused.

Use Clear History to clear the history list. You can also export a single decoded string or all of them by using the Copy and Copy All options, respectively.

Under Logging, you can tick Generate Code Quality reports to include code quality data into the decoded information, tick Generate Data Validation reports to include data validation information, and Log all results to file system to locally save all result history items to your local hard drive. Further options for these can be accessed by clicking Logging and reporting settings.

Customize lets you add or remove table columns to personalize the information in result history.

For result filtering, see the question below.


How does result filtering work?

You can use the Filter... button in the Result History Toolview ribbon menu to filter read results displayed in the view. Clicking the button enables filtering. To set up filtering parameters, open the options by clicking on the right side of the button.

Note: The Filter button only appears if the operating system supports it.

Two modes are available in filtering settings: standard filtering and advanced filtering. You can select either mode by the drop-down menu under General.

When using standard filtering, the filtering categories appear as active in the drop-down window (Result Status, Validation Method, Validation State, and Symbology). You can select individual filters under each category by clicking them. Once enabled, these filters are used on all future items in result history and also retroactively. Items not specified by filters are dropped from result history until filtering is disabled. Note that in standard filtering, a single good read result in a trigger sequence counts as a good read for the whole trigger sequence. Therefore, for example, standard filtering is not applicable to multicode scenarios; use advanced filtering scripts for multicode scenarios.

When using advanced filtering, standard filtering categories become inactive, and the Advanced filtering settings is activated in the drop-down window. Clicking it opens up a new window where you can edit filter expressions. If a predefined filter was enabled previously, the generated expression can be seen in the dialog here. Editing the expression does not have any backwards effect on the predefined filters.

The filter expression itself is a JavaScript function. Using data members of the result is the same as it is with script-based formatting. The result of the expression can be seen in the window at the bottom. In case of java script error, the error message is displayed in the text window. Note that despite the similarities, advanced filtering is not a dataformatting script, only a display filter running on Setup Tool.


Why does the symbol appear outlined in green but no data appears in the Result History list?

If a Standard Formatting Enabled checkbox is checked on the Standard Formatting pane, then you must construct a customized output string or no result data appears even though the reader has decoded the symbol.


Why do some results have an icon in front?

Results headed by an icon have a saved image associated with it. Click the result line to display the decoding attempt and the image associated with it.


Device Log


What is the Device Log?

This view shows you the logs that are generated when the red LED on your device flashes. You can refresh this log or delete it when it is no longer needed.


Image Size


What is the Image Size (Region of Interest) setting used for?

You can use this feature to specify the exact region of the image the reader will use to locate and decode a symbol. This can be helpful if two Data Matrix codes are in close proximity to each other and you need to ensure you only read the code along the target aiming line. Reducing the region of interest does not necessarily reduce the decoding time or increase the image transfer rate.


Does the size of the Decoder ROI have any effect on Reader Configuration Codes?

Restricting the Region of Interest too small can result in the reader not being able to read Reader Configuration Codes.


Data Validation


What is Data Validation?

Data Validation is used to confirm that the data encoded by a symbol is in the correct format for a particular company, industry or international standard.


Where is the Data Validation Result History displayed?

The Data Validation Pass/Fail and output results are displayed in the Result History. The Result entry in the result history list will receive a '+' icon opening the result details of the validation attempt. Past validation results can be viewed in the result history in the same way.


What do the validation error codes mean?

The Data Validation Fail results are the following:

  • 1: Invalid symbology identifier. The symbology identifier is the 3-character string that not only identifies the type of symbology used for encoding the data but also describes how to process the data. This string may be optionally passed as input to the tool in addition to the decoded data either as a separate entity or by prefixing it to the data stream.

    Example: For a UCC/EAN-128 symbol, the symbology identifier is ]C1. In some applications, this will be the only way to accurately and automatically differentiate between in-house or industry Code 128 and UCC/EAN-128 symbols (that encode EAN.UCC Application Identifiers). Without symbology identifiers, you wouldn't know how to process the data in the symbol.

  • 2: Pattern mismatch.

  • 3: Invalid data qualifiers (AI, DI or TEI).

  • 4: Invalid Application Identifier (AI).

  • 5: Invalid Data Identifier (DI).

  • 6: Invalid Text Element Identifier (TEI).

  • 7: Invalid Data: if the data does not agree with the data qualifier in type, length or value.

  • 8: Invalid field separator.

  • 9: Not ISO/IEC 15434 compliant.

  • 10: Unsupported formats (e.g. in DoD UID applications, formats other than 05, 06 or DD).

  • 11: Invalid format code: format codes other than 00-99 and DD.

  • 12: ISO/IEC 15434 not supported if ISO/IEC 15434 validation option is selected, but the decoded stream is not from a 2D symbol. It is possible to report this failure only if the symbology identifier is passed as input to the tool.

  • 13: Invalid application field: a field that is not supported in the application.

  • 14: Unsupported application field: a field that is supported in the application but not supported by the tool.

  • 15: Invalid application data: if the data does not meet application-specific requirements.

    Example: DoD UID applications have the following requirements: The enterprise ID string of characters will not exceed 13 characters, excluding the data qualifier. The original part, lot or batch number string of characters (including permissible special characters) will not exceed 32 characters, excluding the data qualifier. The serial number string of characters (including permissible special characters) will not exceed 30 characters, excluding the data qualifier.

  • 16: Presence of multiple formats in the same data stream (e.g. in DoD UID applications, more than one format cannot be present in the data stream).

  • 17: Duplicate fields: multiple occurrences of the same data qualifier in the same symbol. Certain applications like the DoD UID applications do not allow duplicate fields in the same symbol.

  • 18: Invalid UID: not all the fields required to construct a valid Construct #1 or Construct #2 UID are present.

  • 19: Invalid Construct #1 UID: not all the fields required to construct a valid Construct #1 UID are present.

  • 20: Invalid Construct #2 UID: not all the fields required to construct a valid Construct #2 UID are present.

  • 21: Missing Format Trailer when checking for compliance to ISO 15434 syntax or DoD UID.

  • 22: Missing Message Trailer when checking for compliance to ISO 15434 syntax or DoD UID.


How can I change the reader output tone and LED color for codes that fail Validation?

Select the System Settings task pane. In the Validation Failure Action section you may be able to select the tone type, intensity, and the LED color.


What is DoD UID Validation?

DoD UID Validation is used to evaluate whether the data encoded in a Data Matrix code is encoded correctly according to the US Department of Defense's Mil Standard 130 guidelines. The US Department of Defense now requires all items (over $5,000 or that are uniquely serialized) that it receives or maintains in inventory be marked with a unique serial number (UII) and with a specific syntax format. The DoD UID Validation tool is used to confirm if the data in a code is formatted correctly according to the Department of Defense Construct types 1 or 2. The DoD UID Validation feature also automatically confirms if the data string correctly conforms to ISO 15434 and ISO 15418. The output of the Concatenated UII (or just the Data Elements of the UII without the ISO 15434 syntax and ISO 15418 data qualifiers) is displayed in the first results field in the Validation Results field in the Results Task Pane.

Construct 1 data elements include: The manufacturer's Enterprise Identifier EID (CAGE, DUNS, EAN.UCC) identifier for a company plus the serial number of the part within their EID identifier. The Enterprise Identifier and serial numbers are represented by specific Data Qualifiers depending on whether a company is using a DI, AI or TEI format.

Construct 2 data elements include: The manufacturer's Enterprise Identifier (EID), the manufacturer's part number (PN) and batch number (BN) identifier for the part and the unique serial number for the part within the manufacturer's specific part number. The Enterprise Identifier, part number/batch number and serial numbers are represented by specific Data Qualifiers depending on whether a company is using a DI, AI or TEI format.

Note: This option is not available on all readers.


What symbology should I use for DoD UID Validation?

The US Department of Defense currently specifies the Data Matrix code as the standard for UID marking.


What is expected EID?

Expected EID refers to the manufacturer's enterprise identifier in the UII data string. The manufacturer's enterprise identifier (EID) represents the manufacturer's CAGE, DUNS, EAN.UCC code or other identification. Expected EID is a DoD specific value.


What is expected PN?

The expected PN refers to the manufacturer's part number in the UII data string. Expected PN is a DoD specific value.


What is expected BN?

The expected BN refers to the manufacturer's batch number in the UII data string. Expected BN is a DoD specific value.


What is ISO Validation?

The ISO Validation feature is used to determine if a data string is correctly encoded according ISO 15434 syntax or ISO 15434 plus ISO 15418.

ISO 15434 confirms if the data string is encoded with the correct syntax which includes the evaluation of the ‘non-printable' ASCII characters in the string such as the message header, record separator, format code (For AI, DI or TEIs), group separators and end of transmission character.

ISO 15418 confirms if the data string is encoded with the correct Data Qualifiers for each Data Element. Depending on whether a manufacturer is using a AI, DI or TEI format, each Data Element (Manufacturer's EIN code, Part Number and Serial Number) is preceded by a specific code or ‘Data Qualifier'.

Note: This option is not available on all readers.

Note: This option also allows Text Element Identifiers as defined in the ATA CSDD specification.


What is GS1 Validation?

GS1 validation allows you to verify the syntax and semantics of symbols against the GS1 specification. The reader can validate the encoded data against a configurable string of identifiers. All application identifiers are supported.

By default, the reader validates the incoming symbol against the European Federation of Pharmaceutical Industries and Associations (EFPIA) format string, for example:

<AI(01)><AI(10)><AI(17)><AI(21)>

Using GS1 validation, you can configure what the reader transmits when the data in a symbol does not pass verification, including a carriage return and line feed. The Detailed Results pane will display a PASS or FAIL for each symbol and list each application identifier in the symbol along with its accompanying data element.


What is Match String Validation?

Match String Validation enables you to specify an exact string to match against the string encoded by the symbol. Only symbols containing a string that matches the specified string will generate a Pass result.


How do I validate strings with values that change?

Enable the Increment/Decrement Numerical Component control to specify that part of the string to validate is a numerical value that increase or decreases with each successive read.


What is the Increment/Decrement Numerical Component used for?

Use this feature to perform Match String Validation in applications where the encoded data is serialized or changes in some linear fashion. For example, a magazine or book-binding application where the page numbers are tracked using barcodes to ensure that no pages are duplicated or skipped can benefit from the Increment/Decrement Numerical Component.


How do you configure the Increment/Decrement Numerical Component settings?

You can use this feature if the string that you are validating contains a sequence of digits (0-9) that either increase or decrease with each successive read. To use this feature, specify the starting position of the incrementing or decrementing digits in the Start Position field (0 is the position of the first character) and the number of characters that will change in the Length field. If you select Auto for the Length, the reader will treat all consecutive digits from the start position as the incrementing or decrementing value. Use the Step Size to specify how much the value changes between reads. Select a negative value if the number decreases.

For example, if your initial string is ABC_123XXPY and with each successive read "123" is incremented by one, you would specify a Start Position of 4, a Length of 3, and a Step Size of 1. (If you were sure that the characters in positions 7-on would never be digits, you could also specify Auto for the Length.) Note that the Auto setting does not increase the number of digits when reaching the maximum number but resets the number as with any fixed digit setting (for example, reaching 99 with two digits does not turn to 100, but to 00).

By default, if the string is invalid or could not be read, the expected numerical value does not change. You can use the Update on NoRead and Update on Validation Failure check boxes to specify that the expected value be changed when no code is read, if the code is invalid, or both.


What is Pattern-Matching Validation used for?

Pattern-Matching Validation enables a user to input a specific string of characters to confirm if they are present in the data string. For instance, a user could enter the pattern 17V which is used in DI formats to identify the manufacturer's Enterprise Identifier. If the characters 17V are present in the code, the reader will signal a pass for validation for that code. If the characters are not present, the reader will signal a failure for validation.

You must use a Regular Expression as pattern for pattern validation.


What is the Validation Failure Action used for?

The Validation Failure Action is used to determine what is output from the reader after a validation failure. The user can select from different options:

  1. Transmit ‘Validation Failure'- The reader will output the string ‘Validation Failure' after a code fails validation
  2. Transmit ‘Validation Failure' + decoded string- The reader will output the string ‘Validation Failure' followed by the complete decoded string
  3. Transmit annotated decoded string- The reader will output the decoded string along with information on the error type and error location in the string
  4. Transmit nothing- The reader will not output any information.
  5. Transmit 'Validation Failure' + quoted decoded string- The reader will output the string 'Validation Failure' followed by the quoted part of the decoded string


What is the Validation Failure Action Append CR/LF checkbox used for?

The CR/LF checkbox is used to provide a carriage return/line feed after a validation failure output.


How do I search for multiple Match Strings?

Use the Pattern Matching validation and enter a Perl-formatted match string. For example, to match the strings 123, 456 or 789, type the following:

^(123¦456¦789)$


What happens when Data Validation is enabled?

The Data Validation status is shown in the Results Status result list entry of the Result History pane. The status for a successful validation is "Valid", for a failed validation it is "Invalid". To see more details on the validation result, the result may be unfold.


What is Data Formatting on failed validation?

The 'Basic Formatting' data formatting is not applied to a result if the data validation failed. Instead, the 'Validation Failure Action' is executed. This is different compared to the 'Script Based Formatting' data formatting. If 'Script Based Formatting' is enabled, the 'Validation Failure Action' is not executed and the script formatting function is executed. This allows for example to refine the 'Data Validation' status via script.


Backup Settings


What is the Automatic Reader Configuration Backup?

Automatic Backup works with devices connected through Ethernet. When enabled, this function does a device configuration backup to an external storage (an FTP server) every time the configuration is saved to flash. A Cognex Explorer service can receive the backup data. Restore can be done manually by either Setup Tool, DMCC commands or Cognex Explorer.

Configure the reader with the IP address and port number necessary to specify where you want to save the configuration. You can also set a username and password combination.


Print Device Backup Code


What can the Print Device Backup Code option be used for?

Use this option to print the reader backup codes (hard reset and reboot code) so that you could replace your device by reading it by the reader. These codes contain the network settings and serial settings as well.

In the Notes section, you can write important notes that will also show up on the printed page. If you want to print the reset codes separate pages, check the Print reset code on its own page checkbox.


Print Configuration Code


What can the Print Configuration Code option be used for?

Use this option to print the reader configuration codes (hard reset and reboot code) so that they can be read by the device or devices that you want to configure.

In the Notes section, you can write important notes that will also show up on the printed page. If you want to print the reset codes separate pages, check the Print reset code on its own page checkbox.


Data Logging


What is data logging?

Data logging allows you to automatically save successfully read images to a specific file location. In addition, you can save the Data Validation reports for the symbols you verify, if Data Validation has been enabled for the type of code being scanned by the reader. Make sure that you stay connected to the Setup Tool for data logging to work.


When do I disable overlay graphics in a report?

Check Disable overlay graphics in report if you do not want the green square surrounding a read code to appear in the PDF.


Image Toolview


What is the Image Panel?

In this pane, you can see the image read by your device.

Use the magnifier icons to autofit the image to the size of the Image ToolView window, to zoom in and out in the image, or to display the image in a pixel to pixel mode, respectively.

You can also enable or disable Focus Feedback on the image in LiveDisplay mode and you can copy the image to the clipboard.

Use the Save Image option to save only the current image or all burst images and the Logging options to log all NoRead or all decoded images to the file system. Click on the last Logging option Logging and reporting settings... to open the Setup Tool Options window, which is also available from the Home screen of Setup Tool, via the Options menu.

NOTE: Displayed Image Settings have no effect when saving the last image taken from the Image Pane (by dragging and dropping). The last image is always saved full size (the device's resolution maximum).


Where do I put the image to get the reader to read it?

Make sure that the symbol is centered within the reader's image area and the red aiming laser dot is at the center of the symbol.


I'm having trouble reading codes on my parts. What should I do?

  • Make sure that you press and hold the trigger. If you release the trigger before the read is complete, the reader abandons its read attempt.

  • Verify that the reader is within the working distance specified for the code size and type, as listed in the Scan Map document.

  • Make sure that you have the code centered within the image area of the reader and that the code is centered within the green aiming light before you pull the trigger.

  • Click on Light Settings on the Advanced tab of Optimize Image pane (UltraLight Settings for DM7500 and DM8600,DM8700), then adjust the lighting settings.

  • Click on Symbology Settings and make sure that the symbology type you are using is enabled.


I'm having trouble reading symbols. What should I do?

  • Make sure the reader is within the working distance specified for the symbol size and type, as listed in the Quick Reference Guide.

  • Make sure you have the symbol centered within the reader's image area; make sure the symbol is centered within the red laser aimer when the device is triggered.

  • Click on Symbology Settings and make sure that the symbology you are using is enabled.


How can I trigger the reader using the Setup Tool?

Click the trigger button (lightning icon) in the topmost toolbar or press <Ctrl>-T.


How do I save an acquired image to a file?

Click the Save Image button in the tool bar. You can save all images in a burst by opening the roll-down list and clicking Save all burst images.

You can also drag and drop your image to your PC. Click the image in the Image Viewer, drag it outside the Setup Tool and release it.

Note that in case you want to save an image with drag and drop and the image is not the latest (you are saving it from the Read Result History), the image will be saved with the displayed image settings. By default, it is of reduced quality. Under Displayed Image Settings, you can change the image size to full and the format to Bitmap.


Buffering and Transfer


What are Buffered Image Settings?

Under Buffered Image Settings, you can change the size, format, and quality of the image transferred through FTP.

  • size: The default image size for buffered images is the full size image. Choosing between image sizes allows the reader to perform a sub-sampling of each image, which can dramatically improve image transfer speed at the cost of some precise image details.

  • format: By default, the reader stores each acquired image in a .bmp format.

  • quality: Available only if you are using the .jpeg image format, this slider adjusts internal parameters that allow the reader to perform a smoothing operation on the acquired image which can reduce or enhance the transfer speed.


What is the Overlay Graphics option?

When you check this option, images that you save (either through FTP or through recording them) will contain overlay graphics as SVG files together with the image files.


Why do I not see decoded images?

The Buffering and Transfer function does not perform any decoding. Enable Overlay Graphics in the Buffered Image Settings pane, and your images will be saved with overlay graphics (as SVG files) that will be displayed when you play back your images. These graphics will show the decoded data among other decoder information.


What can I do with Buffering and Transfer?

Buffering and Transfer lets you control what images are recorded and saved on the reader, it lets you view images that are saved on the reader, and it lets you transfer those images to your PC.

  • The Image Buffering tab lets you control what images to save to the reader.

  • The Image PC Transfer tab lets you control how images are transferred from the reader to your PC.

  • The Image FTP Transfer tab lets you set up automatic image transfers from the reader to your PC.

  • The Result FTP Transfer tab lets you to configure the reader with the IP address and port number necessary to send decode results to an FTP server..


Can I send decode results to an FTP server?

Use the Image FTP Transfer tab to configure the reader with the IP address and port number necessary to send decode results to an FTP server. The tab also contains settings for a username and password combination, along with the name of the file to store the results.


How can I store FTP data in a directory different from the root directory?

The File Name field accepts not only file names, but also path names. Use forward slashes as delimiter. For example, /images/image.


Why cannot I see images and results in my FTP directory?

Make sure you have the necessary permissions for creating files. If Append is checked, make sure that the FTP user has Append permissions (which is different from Write permissions). The FTP user must also double check the IP address of the correct FTP server.


What is the What Results to Buffer list for?

The What Results to Buffer list allows you to choose which type of images are internally buffered on the reader, whether they contain decode information (Read), no decode information (NoRead), both (All) or Validation Failure, in which case only images of successful decoding, but validation failure will be stored.


What is the What Images to Buffer for a Result option?

You can choose what images to buffer for a result. Same as result means that for a good read, the reader stores only images with a found code.


What is the Image Buffer Maximum size?

Image Buffer Maximum Size is the maximum number of images that may be buffered on the reader. This is limited by the memory on the reader, but may be set to a number less than the maximum to prevent more than the desired number of images to be saved on the FTP server or PC.


What is the Available for Setup Tool / DMCC setting?

Available for Setup Tool / DMCC means the number of images not used by the acquisition system or Image Record. This is the maximum number of result images that can be transferred to Setup Tool or the SDK for one result.

NOTE: This is an informative value that cannot be changed.


What can I set with the Good Read Image Mode?

Good Read Image stores all buffered good read images unless you set a limit rate.

You can limit the number of good read images that are buffered by choosing Rate limited. Set the read image rate (the number of images buffered and the frequency of this count) and the rate burst, which is the peak rate per the set time.


What if I check the Allow Buffer Overwrite option?

The Allow Buffer Overwrite option controls whether storing images to the buffer overwrites older images, or stop buffering when the buffer is full.


How can I make sure images are deleted after transfer?

Check the Delete After Transfer checkbox, which controls if images are deleted after transfer. This applies to any transfer mode, including Image FTP transfer and transfer from reader to PC.


Why isn't the Transfer Now button enabled?

If you have buffered images on the reader, you must first select the folder to record the images into. You must also stop recording before you can start transferring.

Note that Transfer Now does not work when out of range of the base station paired with the device (in case of handheld devices), as the buffer is cleared and disabled when out of range.


Does the Clear Transfer Folder button clear the filmstrip, too?

The Clear Transfer Folder button deletes all the images in the folder. If the same images are currently being displayed in the filmstrip, the filmstrip will also be cleared.


If I already have files in the selected folder, do they get overwritten?

If files already exist in the selected folder that match the [Index] Format, the starting index will be automatically increased until there is no existing match, and then transfer will begin. Image files will not be overwritten.


Can I view images individually?

You can view images one by one, but you have to select the entire folder in which images are located. Once the images in the selected folder are displayed, click through them using the forward and back buttons.


Do I have to start viewing images all over again if I have to leave the pane?

No, leaving the Buffering and Transfer pane will pause playback as though the Pause button were clicked.


How do I transfer images to an FTP server?

Use the FTP tab to configure the settings necessary to transfer images to an FTP server. The tab contains settings for the IP address and port number of the server as well as a username and password combination. Be aware that images sent using FTP are not guaranteed to be sent, which can happen when the reader is operating at a higher frequency and cannot schedule time for transfer of images. Also note that transfer over wireless links may be much slower than regular network communication. In such cases, it is recommended to use downsampled/compressed images.

The File Name options allow you to specify the file where the images will be stored. The File Name field allows you to specify a path in relation to the FTP server's root directory (for example, /failed_images/image). The filename extension (.jpg or .bmp) presented in the label following the file name matches the image format setting on the Buffered Image Settings pane. Be aware that the reader does not create directories; the directory must be available and accessible.

The Max Append Value control indicates the limit of the increment value used in the file name. A value of 0 indicates that no increment will be appended and the file can be overwritten.

The Script Generated File Name allows you to write a script generating the file name on the Scripting pane's FTP Storage tab.

The Server Generated File Name option starts with a blank path, which indicates the root directory of the FTP server.


Runtime Image FTP transfer isn't working. What should I do?

Make sure the following conditions are met:

  • Server Address, Username, and Password are set correctly.

  • Transfer Mode is set to "FTP - Runtime".

  • The Buffer tab has "What Results to Buffer" set to anything but None (according to your needs).

  • Your FTP server supports image transfer.


What is the Script Generated File Name?

You can write a script generating the file name for the FTP transfer on the Scripting pane's FTP Storage tab.


What is the Server Generated File Name?

Some FTP servers support this functionality to uniquely name incoming files before saving them to disk.


What should I do if Server Generated File Name FTP transfers are not working?

Verify that your FTP sever can handle the "STOU - Store Unique" command. This command behaves like STOR except that the resulting file is to be created in the current directory under a name unique to that directory.


What are the different Transfer Modes?

On Request transfer mode transfers images when you click Transfer Now in the Setup Tool or you send the appropriate DMCC. If you choose the FTP - Runtime transfer mode, images are automatically sent to the FTP server as soon as the connection becomes alive.

Note that Transfer Now does not work when out of range of the base station paired with the device (in case of handheld devices), as the buffer is cleared and disabled when out of range.


Why is the whole pane disabled when I'm transferring files?

The pane is disabled to achieve maximum Image FTP transfer stability. Image FTP transfer can take several minutes, depending on the connection speed to the FTP server and the size and number of images transferred.


Options


What can I set in the Options page?

The Options page of the DataMan Setup Tool offers you to do settings in the application according to your preferences.


What can I set in the Language Settings field?

You can choose the language you would like to use Setup Tool with. The default is English.

NOTE: The application needs to be restarted for the changes to take effect.


What can I set in the Codepage for Code Display field?

You can set the way according to which the read string are encoded.


What can I set in the Color Scheme field?

Select the code scheme of your DataMan Setup Tool window in this field.


What can I set in the Reset Settings box?

In this box, select a category (such as Communication or Verification) from the drop-down list which you want to reset to defaults.


What is the Backup Location setting?

You can set the folder here that is used by the Backup function for saving backup files.


What settings are available on the Data Logging tab?

On this tab, you can set the folders into which result codes, decoded images, NoRead images and reports are to be saved, as well as options to change filenames and extensions when logging data.


How can I enable the generation of data validation reports?

Select Generate Data Validation reports under Logging in the Result History pane.


What can I set in the Image Buffering and Transfer field?

You can set the folder where the images can be transfered to.


What can I set in the Beeper Settings field?

When the Setup Tool receives a good read result from the DataMan reader, it turns on the PC beeper. This is useful for DataMan readers which do not have an internal device beeper. You can set the Frequency, from 1000 Hz to 10000 Hz, and the Duration, from 10 ms to 1000 ms, of a good read beep.


How can you activate the Reporting function?

Once you filled the Reporting fields, then you need to switch on the Data Validation to generate reports.


The Result Code, the Decoded Images or the NoRead Images are not appeared in the corresponding directory. What can be the problem?

You need to enable them in the corresponding Logging drop-down listboxes.


Table View


Why are some values displayed in highlighted?

Values that are highlighted are non-default values initially. Highlighting rules can be changed in the ribbon menu's Highlighting section, see question Table View: Ribbon Menu for more information.


Why are some values displayed in bold?

Values in bold are expandable and reveal sub-values.


How do I know what the possible values are?

Move your mouse above a value, and see the hover text indicating the minimum, maximum and default values, where applicable.


Table View: General Layout and Structure

Table View is a viewing tool that uses a grid style.

The header row displays the device name. The second header row below the first displays the available setups for the device. The row headers below (in bold) can be collapsed or opened by clicking the icon next to them. When the device is disconnected, a reconnect icon appears in its header row.

Settings that are not read setup dependent are only displayed in the first column (Main Setup).


Table View: Controls (Mouse and Keyboard)

Selection:

  • Mouse: Clicking on a cell in the grid selects it, which hightlights the row header of the cell and the column header where the device and setup belong. The menu buttons and items in the ribbon menu can change in line with selection. If the selected cell is in the row of a header row, all cells in the current column that belong to the header are selected.

  • Keyboard: Cursor movement keys navigate the selection to the appropriate cell. The highlight and selection behavior is the same as by mouse.

Adding/changing values:

  • Mouse: For cells with embedded editors, clicking on the editor control (combo box, checkbox, numeric up-down) allows the input of values. For cells with custom editors (the '...' icon), a pop-up editor opens, allowing value input.

  • Keyboard: For cells with embedded editors, pressing Enter or F2 initiates edit mode, Esc cancels editing, and a second Enter confirms editing. Values can be entered in the selected text without entering edit mode, in which case the current value is overwritten at the first keystroke.

    For numeric cells, in addition to embedded text editor cells, the up and down arrows increase and decrease the value.

    For drop-down cells, Enter initiates edit mode and shows the drop-down items, while up and down arrows move the selection. A second Enter applies the selected value and Esc cancels editing.

    For checkbox cells, use Space to toggle checked/unchecked states.

Copying and Pasting:

Use the keyboard combinations Ctrl+C and Ctrl+V for copying and pasting, respectably, see the copy-paste description of the related ribbon menu items for more information.


Table View: Ribbon Menu

The ribbon menu can be found above the table view grid. Its contents and active icons may change in line with the selection of cells, rows, or columns in the grid. The menu is separated into several groups.

  • Table View: Use the Add Setup button to add or copy read setups to the selected device. Delete Setup deletes the selected read setup(s). The Change Order button enables the changing of the read-setup order the device alternates between.

  • Editing: Use Copy (or Ctrl+C on the keyboard) to copy a value from the currently selected cell. Paste can only be used in the same row or in any text editor.Reset Values is used to reset the value(s) of the selected cell(s).

  • Highlighting: Buttons and settings in this menu group provide options to highlight specific cell backgrounds. With the Non-Default Values setting, cells that have non-default values are highlighted (this may be different in a single row for different devices or read setups). The Difference to Reference setting highlights cells that have different values from the cell in the same row of the reference read setup (and device). The third setting is selected, all values and headers are highlighted that contain the text specified in the textbox. Additionally, the contained text itself is highlighted with a different text background. Pressing Enter applies the function of the Show Highlighted Rows Only button as well.

    When enabled, Show Highlighted Rows Only collapses all nodes that do not have any sub-node that is highlighted. When activated, the Set Reference Read Setup specifies the read setup (and device) that is used as a reference when the Difference to Reference highlighting mode is used. When the button is active, the currently selected cell’s column (read setup) becomes the reference setup. The current reference setup is marked in the setup name header row.

  • Filtering: Global settings, the default setting, only displays settings that can not have different values in different read setups. Set Read Setup settings to see only settings that are read setup dependent. Set All settings to see all settings at once. If an entry has values in more read setups, they are visible in different columns.

  • Other: Use Expand All Rows to expand all the rows that have been collapsed in the grid. Use Collapse All Rows to collapse all expanded rows in the grid. Reset Layout recalculates the column widths to use up all available space. If the available space is not enough, a minimum column width is applied.


Legal Information


Copyright

Cognex Corporation assumes no responsibility for the use or reliability of its software on equipment that is not supplied by Cognex Corporation. Cognex Corporation makes no warranties, either express or implied, regarding the described software, its merchantability or its fitness for any particular purpose.

The information in this document is subject to change without notice and should not be construed as a commitment by Cognex Corporation. Cognex Corporation is not responsible for any errors that may be present in either this document or the associated software.

Copyright © 2020 Cognex Corporation All Rights Reserved

This document may not be copied in whole or in part, nor transferred to any other media or language, without the written permission of Cognex Corporation.

The hardware and portions of the software described in this document may be covered by one or more of the U.S. patents listed on the Cognex web site http://www.cognex.com/patents.asp. Other U.S. and foreign patents are pending.


Licensed Software

SpiderMonkey

This software is subject to the terms of the Mozilla Public License, v. 2.0. You can obtain a copy of the MPL at http://mozilla.org/MPL/2.0/.

If you want to get a copy of the source code of SpiderMonkey please contact Cognex technical support at <spidermonkey@cognex.com>

PCRE Licence

PCRE is a library of functions to support regular expressions whose syntax and semantics are as close as possible to those of the Perl 5 language.

Release 5 of PCRE is distributed under the terms of the "BSD" licence, as specified below. The documentation for PCRE, supplied in the "doc" directory, is distributed under the same terms as the software itself.

Written by: Philip Hazel <ph10@cam.ac.uk>

University of Cambridge Computing Service, Cambridge, England. Phone: +44 1223 334714.

Copyright (c) 1997-2004 University of Cambridge All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  • Neither the name of the University of Cambridge nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE

End

JPEG software

This software is based in part on the work of the Independent JPEG Group.

zlib compression library

This software is based in part on the work of Jean-loup Gailly and Mark Adler.

Parsifal XML Parser

Copyright (c) 2002-2005 Toni Uusitalo released to the public domain 2002-11-15 http://www.saunalahti.fi/~samiuus/toni/xmlproc/

Parsifal is free for both commercial and non-commercial use and redistribution, provided that author's copyright and disclaimer are retained intact. You are free to modify Parsifal for your own use and to redistribute Parsifal with your modifications, provided that the modifications are clearly documented.

DISCLAIMER

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of Merchantability or fitness for a particular purpose. Please use it AT YOUR OWN RISK.


Patent Information

This product is covered by one or more of the below listed US patents, US applications, and/or foreign patents http://www.cognex.com/patents will list any relevant subsequently issued patents

5742037, 5943441, 6215915, 6236769, 6282328, 6381375, 6408109, 6457032, 6690842, 6941026, 7175090, 7181066, 7412106, 7427028, 7549582, 7604174, 7614563, 7617984, US-2005-0087601-A1, US-2006-0131418-A1, US-2006-0131419-A1, US-2006-0133757-A1, US-2007-0090193-A1, US-2007-0091332-A1, US-2007-0152064-A1, US-2007-0170259-A1, US-2008-0004822-A1, US-2008-0011855-A1, US-2008-0142604-A1, US-2008-0143838-A1, US-2008-0158365-A1, US-2009-0090781-A1, US-2009-0108073, US-2009-0121027-A1, US-2009-0166424-A1, US-2009-0294541-A1, WO06065619A1, and EP1687752